/*---------- REXX: TDPSTRIP --------------------------------------------*/ 
/*                                                                      */ 
/*   This EXEC will read the input file specified in Parm#1 and         */ 
/*   extract the TDP0105, TDP1700 & TDP1702 messages on write them      */ 
/*   to the output file specified in Parm#2                             */ 
/*                                                                      */ 
/*----------------------------------------------------------------------*/ 

ADDRESS TSO 
ARG  Args 
PARSE UPPER VAR Args iFilename oFilename . 
IF oFileName = '' THEN DO 
  "CLEAR" 
  DO I = 1 TO SourceLine() 
    IF SUBSTR(SourceLine(I), 1, 2) = '/*' THEN 
      SAY STRIP(SourceLine(I), 'B') 
    ELSE 
      LEAVE 
    END 
  EXIT 
  END 
/* 
IF LISTDSI(iFileName) <> 0 THEN DO 
  SAY 'Invalid input file name: "'iFileName'" not found'; 
  EXIT 
  END 
*/ 
"ALLOC DDN(iFile) SHR DSN("iFileName") REUSE" 
IF LISTDSI(oFileName) <> 0 THEN 
  "ALLOC DDN(oFile) NEW SPACE(10,10) TRACKS DIR(0) DSN("oFileName") REUSE" 
ELSE 
  "ALLOC DDN(oFile) SHR DSN("oFileName") REUSE" 

DO FOREVER 
   "EXECIO 1000 DISKR iFile (STEM Line.)" 
   DO i = 1 TO Line.0 
      IF INDEX(Line.i, 'TDP0105') <> 0 THEN 
         QUEUE Line.i 
      IF INDEX(Line.i, 'TDP1700') <> 0 THEN 
         QUEUE Line.i 
      IF INDEX(Line.i, 'TDP1702') <> 0 THEN 
         QUEUE Line.i 
      END 
   IF Line.0 < 1000 THEN 
      LEAVE 
   END 

"EXECIO "QUEUED()" DISKW oFile (FINIS)" 
"EXECIO 0 DISKR iFile (FINIS)" 

"FREE DDN(iFile, oFile)" 
EXIT 
